View Issue Details

IDProjectCategoryView StatusLast Update
0015176ScribusUndo/Redopublic2019-06-04 20:56
Reporterjberg Assigned Tojghali  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.4.svn 
Summary0015176: undo for alt-arrows does x/y separately
DescriptionThis is more of an annoyance, but I guess it could lead to weird slightly badly scaled images.

When you make changes to image size within a frame with the keyboard, undo will undo each dimension (x/y) in two separate steps, rather than a single one like the input was.
Steps To Reproduce* add image frame
* add image to it
* use alt-right-arrow to make the image bigger in the frame
* press ctrl-z to undo

This will undo only the y resize, actually removing the "lock" from scaling. Another undo will undo the x resize, and put the lock back.

I'd have expected to be a single undo step, i.e. a single keypress (alt-arrow) requires a single undo (ctrl-z)
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-02-27 21:54 jberg New Issue
2018-02-28 10:15 jghali Assigned To => jghali
2018-02-28 10:15 jghali Status new => resolved
2018-02-28 10:15 jghali Resolution open => fixed
2018-02-28 10:15 jghali Fixed in Version => 1.5.4.svn
2018-03-04 18:03 jghali Category Graphics / Image Frames => Undo/Redo
2019-06-04 20:56 cbradney Status resolved => closed